%define major 15
%define libname	%mklibname png%{major}_ %{major}
%define develname %mklibname png -d

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng
Version:	1.5.13
%define subrel	1
Release:	%mkrel 2
Epoch:		2
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source:		http://downloads.sourceforge.net/libpng/%{name}-%{version}.tar.xz
Patch0:		http://downloads.sourceforge.net/libpng-apng/libpng-1.5.11-apng.patch.gz
Patch1:		libpng-1.5.8-pkgconfig-libdir.patch
Patch2:		libpng15-CVE-2013-6954.patch
BuildRequires: 	zlib-devel
BuildRequires:	cmake

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Requires:	zlib-devel
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	png-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname png 3 -d} < 1.2.30

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%setup -q
%patch0 -p1 -b .apng
%patch1 -p0 -b .libdir
%patch2 -p1 -b .CVE-2013-6954

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -DPIC -fPIC"
%cmake -DPNG_SHARED:BOOL=ON -DPNG_STATIC:BOOL=OFF -DPNG_NO_STDIO=no -DPNG_NO_CONSOLE_IO=no
%make

%install
%makeinstall_std -C build

# multiarch
%multiarch_binaries %{buildroot}%{_bindir}/libpng%{major}-config

# should be multiarch if kept
rm -f  %{buildroot}%{_prefix}/lib/%name/*.cmake

%files -n %{libname}
%{_libdir}/libpng%{major}.so.%{major}
%{_libdir}/libpng%{major}.so.%{major}.*

%files -n %{develname}
%doc libpng*.txt example.c README TODO CHANGES
%{_bindir}/libpng-config
%{_bindir}/libpng%{major}-config
%{multiarch_bindir}/libpng%{major}-config
%{_includedir}/*
%{_libdir}/libpng.so
%{_libdir}/libpng%{major}.so
%{_libdir}/pkgconfig/*
%{_mandir}/man?/*


%changelog
* Wed Feb 12 2014 luigiwalser <luigiwalser> 2:1.5.13-2.1.mga3
+ Revision: 589898
- add patch from fedora to fix CVE-2013-6954

* Sat Jan 12 2013 umeabot <umeabot> 2:1.5.13-2.mga3
+ Revision: 357980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 fwang <fwang> 2:1.5.13-1.mga3
+ Revision: 298998
- new version 1.5.13

* Mon Jul 30 2012 cjw <cjw> 2:1.5.12-2.mga3
+ Revision: 275856
- drop cmake files for now since they are not multiarch aware

* Thu Jul 12 2012 fwang <fwang> 2:1.5.12-1.mga3
+ Revision: 270243
- new version 1.5.12
- there is no .la files anymore

* Sat Jun 16 2012 fwang <fwang> 2:1.5.11-1.mga3
+ Revision: 260924
- new version 1.5.11

* Fri Mar 30 2012 fwang <fwang> 2:1.5.10-1.mga2
+ Revision: 227594
- new version 1.5.10

* Sun Feb 19 2012 luigiwalser <luigiwalser> 2:1.5.9-1.mga2
+ Revision: 210678
- 1.5.9 (fix CVE-2011-3026)

  + fwang <fwang>
    - there is no package requiring static package and source package to build
    - new version 1.5.8

* Sat Dec 17 2011 fwang <fwang> 2:1.5.7-1.mga2
+ Revision: 183039
- new version 1.5.7

* Thu Nov 03 2011 fwang <fwang> 2:1.5.6-1.mga2
+ Revision: 162144
- new version 1.5.6

* Sat Oct 08 2011 fwang <fwang> 2:1.5.5-2.mga2
+ Revision: 152917
- fix libdir in .pc file

* Sat Sep 24 2011 fwang <fwang> 2:1.5.5-1.mga2
+ Revision: 147170
- new version 1.5.5

* Sat Sep 10 2011 fwang <fwang> 2:1.5.4-1.mga2
+ Revision: 142074
- update file list
- switched to 1.5 flavour (breakage follows)

* Sat Sep 10 2011 fwang <fwang> 2:1.2.46-3.mga2
+ Revision: 142028
- tighten version req for upcoming libpng15 switch

* Sat Sep 03 2011 fwang <fwang> 2:1.2.46-2.mga2
+ Revision: 138141
- correct libname

* Sat Jul 16 2011 fwang <fwang> 2:1.2.46-1.mga2
+ Revision: 124741
- new version 1.2.46

* Sat Jan 08 2011 blino <blino> 2:1.2.44-3.mga1
+ Revision: 892
- remove old ldconfig scriptlets
- imported package libpng

